@font-face {
  font-family: 'Teleindicadore'; 
  src: url('polices/Teleindicadores1.ttf')
}

* {
  user-select: none;
}

html, body {
  height: 100%;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  background-color: transparent;

}
 body {
  padding: 5%;
  margin: 0;
 }

.milieu {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
}


#horloge {
  width: 71vmin;
  height: 71vmin;
  transform: scaleX(-1);  
}

#cercle {
  width: 80vmin;
  height: 80vmin;
}

#cercle-secondes {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%) scaleX(-1);
}

#minutes {
  width: 95vmin;
  height: 95vmin;
}

#cercle-secondes {
  width: 80vmin;
  height: 80vmin;
}

#sons {
  position: absolute;
  width: 70vmin;
  height: 70vmin;
  top:  50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  z-index: 1000;
}

#zone-compteur {
  position: absolute;
  top:  50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  text-align: center;
  display: none;
}

#zone-affichage {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translateX(-50%) translateY(-50%);
  width: 95vmin;
  height: 95vmin;
  z-index: 10;
}

#zone-affichage:hover #zone-compteur {
  display: block;
}



#zone-compteur button {
  vertical-align: middle;
  text-align: center;
  font-size: 5vmin;  
  width: 8vmin;
  height: 8vmin;
}

button#start {
  width: 8vmin;
  height: 8vmin;
  margin-bottom: 2%;
  border: none;
  outline: none;
  background-size: 16vmin;
  background-position-x: right;
  background-position-y: bottom;
  background-color: transparent;
  background-repeat: no-repeat;
  background-image: url(images/play.svg);
}

button#start:hover {
  background-position-x: left;
}

button#stop {
  width: 8vmin;
  height: 8vmin;
  margin-bottom: 2%;
  border: none;
  outline: none;
  background-color: transparent;
  background-size: 16vmin;
  background-position: bottom right;
  background-repeat: no-repeat;
  background-image: url(images/stop.svg);
}

button#stop:hover {
  background-position: bottom left;
}

#bouton-couleur, #bouton-sons {
  margin-top: 2%;
  vertical-align: middle;
  width: 8vmin;
  height: 8vmin;
  border-radius: 20%;
}

.bouton-sons, .bouton-son {
  width: 8vmin;
  height: 8vmin;
  background-size: 80%;
  background-position: center;
  background-repeat: no-repeat;
  border-radius: 20%;  
}

#bouton-sons {
  background-image: url(images/cloche.svg);
}

.bouton-son {
  position: absolute;
  border-radius: 20%;
  transform: translateX(-50%) translateY(-50%);  
}

#bouton-a {
  left: 50%;
  top: 15%;
}
#bouton-b {
  left: 80%;
  top: 25%;
}
#bouton-c {
  left: 80%;
  top: 75%;
}
#bouton-d {
  left: 50%;
  top: 85%;
}
#bouton-e {
  left: 20%;
  top: 75%;
}
#bouton-f {
  left: 20%;
  top: 25%;
}

#bouton-a-propos {
  position: absolute;
  z-index: 5000;
  width: 8vmin;
  height: 8vmin;
  border-radius: 20%;
  top: calc(50% - 45vmin);
  left: calc(50% - 45vmin);
  background-image: url(images/question.svg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  display: none;  
}

#bouton-options {
  position: absolute;
  z-index: 5001;
  width: 8vmin;
  height: 8vmin;
  border-radius: 20%;
  bottom: calc(50% - 45vmin);
  left: calc(50% - 45vmin);
  background-image: url(images/options.svg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  display: none;  
}

#logo {
  position: absolute;
  z-index: 5000;
  width: 12vmin;
  top: calc(50% - 47vmin);
  right: calc(50% - 47vmin);
  display: none;
}

.lightbox {
  position: absolute;
  z-index:2000;
  top: 50%;
  left: 50%;
  width: 70vmin;
  height: 70vmin;
  border: 2vmin solid black;
  transform: translateX(-50%) translateY(-50%);
  background-color:#ffffff;
  border-radius: 2vmin;
  overflow-y: scroll;
  padding: 5px;
  font-size: 14px;
  font-family: Arial, Helvetica, sans-serif;
}

#div-options {
  background-color:#c5ddfa;
  text-align: center;
}

.bouton-horaire {
  width: 30vmin;
  height: 30vmin;
    
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  border: 1vmin outset;
  border-radius: 10px;
}

#sens-horaire {
  background-image: url(images/horaire.jpg);
}

#sens-anti-horaire {
  background-image: url(images/anti-horaire.jpg);
}

.select {
  border-color: red;
}

#zone-affichage:hover #logo, #zone-affichage:hover #bouton-a-propos, #zone-affichage:hover #bouton-options{
  display: inline-block;
}

.lightbox * {
  user-select: text !important;
}

#compteur, #compteur-bis {
  display: inline-block;
  width: 3.2em;
  font-size: 8vmin;
  border-radius: 2vmin;
  text-align: center;
  border: 1px solid #000;
  font-family: Teleindicadore;
  background-color: #000;
  color: #00e50f;
  vertical-align: middle;
}

#compteur-bis {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
}

#compteur-minutes {
  user-select: text;
}

.bouton-compteur {
  border-radius: 20%;
}


#poignee {
  position: absolute;
  z-index: 1000;
  top: 15%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  width: 5vmin;

}

.hide {
  display: none !important;
}